
import {select,json,geoPath,geoAlbersUsa} from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const projection = geoAlbersUsa();
const pathGenerator = geoPath().projection(projection);

json(
  'https://gist.githubusercontent.com/KrishnaPriyaKurra/2f56b8a24c641a2cc9e552ea1a81655d/raw/statemap.json'
).then((data) => {
  const states = feature(data, data.objects.states);
  console.log(states);
  console.log(data);
  svg
    .selectAll('path')
    .data(states.features)
    .enter()
    .append('path')
    .attr('class', 'states')
    .attr('d', (d) => pathGenerator(d))
    .append('title')
    .text(d=>d.properties.name);
});

